## LassoIdWsf2Sb2UsageDirective LassoIdWsf2Sb2UsageDirective — <sb2:UsageDirective> |

## Functions

LassoIdWsf2Sb2UsageDirective * | lasso_idwsf2_sb2_usage_directive_new ()

## Types and Values

struct | LassoIdWsf2Sb2UsageDirective

## Description

Figure 239. Schema fragment for sb2:UsageDirective

    <xs:complexType name="UsageDirectiveType">
      <xs:sequence>
        <xs:any namespace="##other" processContents="lax"
          maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="ref" type="xs:IDREF" use="required"/>
        <xs:anyAttribute namespace="##other" processContents="lax"/>
      </xs:complexType>

## Functions

### lasso_idwsf2_sb2_usage_directive_new ()

    LassoIdWsf2Sb2UsageDirective *
    lasso_idwsf2_sb2_usage_directive_new (void);

Creates a new LassoIdWsf2Sb2UsageDirective object.

#### Returns

a newly created LassoIdWsf2Sb2UsageDirective object

## Types and Values

### struct LassoIdWsf2Sb2UsageDirective

    struct LassoIdWsf2Sb2UsageDirective {
    	LassoNode parent;

    	/* attributes */
    	char *ref;
    	GHashTable *attributes;
    };